org.eclipse.wst.jsdt.chromium.debug.core.model

## Class VProjectWorkspaceBridge.FactoryImpl

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.VProjectWorkspaceBridge.FactoryImpl

All Implemented Interfaces:
  WorkspaceBridge.Factory

Enclosing class:
  VProjectWorkspaceBridge

    public static class VProjectWorkspaceBridge.FactoryImpl
    extends java.lang.Object
    implements WorkspaceBridge.Factory

### Constructor Summary

Constructors
Constructor and Description
`FactoryImpl(java.lang.String projectNameBase)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceBridge` `attachedToVm(ConnectedTargetData connectedTargetData, JavascriptVm javascriptVm)` Creates new instance of `WorkspaceBridge` when connection to V8 VM is already established.
`java.lang.String` `getDebugModelIdentifier()`
`WorkspaceBridge.JsLabelProvider` `getLabelProvider()` Since we define here how scripts are mapped to workspace, we may want to specify labels in UI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactoryImpl

    public FactoryImpl(java.lang.String projectNameBase)

### Method Detail

#### attachedToVm

    public WorkspaceBridge attachedToVm(ConnectedTargetData connectedTargetData,
                                        JavascriptVm javascriptVm)

Description copied from interface: `WorkspaceBridge.Factory`
Creates new instance of `WorkspaceBridge` when connection to V8 VM is already established.

Specified by:
  `attachedToVm` in interface `WorkspaceBridge.Factory`

#### getDebugModelIdentifier

    public java.lang.String getDebugModelIdentifier()

Specified by:
  `getDebugModelIdentifier` in interface `WorkspaceBridge.Factory`

#### getLabelProvider

    public WorkspaceBridge.JsLabelProvider getLabelProvider()

Description copied from interface: `WorkspaceBridge.Factory`
Since we define here how scripts are mapped to workspace, we may want to specify labels in UI. Each type of bridges provides its own label providers here. User may cache value of this method.

Specified by:
  `getLabelProvider` in interface `WorkspaceBridge.Factory`